Subject: Re: Performance issue: initial git clone causes massive repack

From: "Shawn O. Pearce" <[email-masked]>
Date: Wed, 22 Apr 2009 07:35:03 -0700

Johannes Schindelin <[email-masked]> wrote:
> On Wed, 22 Apr 2009, Mike Ralphson wrote:
> 
> > 2009/4/22 Sam Vilain <[email-masked]>
> > > Now that the GSoC projects have been announced I can give you the good
> > > news that one of our two projects...
> > 
> > It's sort of three, really...
> > 
> > http://socghop.appspot.com/student_project/show/google/gsoc2009/mono/t124022708105
> 
> OMG!  That's the third time they are wasting Google's money: AFAICT they 
> haven't learnt from the past two years' failures.  At least I am not aware 
> of any of them Mono guys trying to collaborate with us.

Yikes!

Wearing my Google hat, I have to cry a little.  I think its such
a waste.  But we don't tell the orgs what projects they should or
should not do, its at each org's individual discretion.  Clearly the
Mono folks feel they should "spend" a *fourth* slot on this project.
That or, Mono was granted one too many slots in the program.  *sigh*

Wearing my JGit maintainer hat, I have to cry a little.  The mentor
for this project should realize... we've spent over 3 years now
on JGit (it turned 3 on Mar 6 2009) and it *still* doesn't provide
a full replacement for git.git.

I'd like to think that I'm not a moron, and that it really does
take 3 years of R&D work to find a suitable implementation of Git
in a sandboxed language like Java.  Or, maybe I am a moron.  Linus,
Junio and crew had git.git implemented in less time.
 
> Oh well, maybe I should drop them a mail that they may get valuable input 
> here _iff_ they just ask.

I've tried that in the past two years.  I've given up.  The JGit
code is available.  Its license is quite liberal.  They can look
at it if they want.  My guess is, they won't.

-- 
Shawn.